5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

GTKは1.2.xを使え!QTは2.3.xを使え!

1 :login:Penguin:03/10/12 20:10 ID:e7HEQZCL
次から次へとバージョンアップしやがって、
ほんの少し前のディストリじゃ動かねえアプリばっかじゃねえか。
本当に最新のバージョンが必要なのかよ。GTK1.2やQT2.3だって
ただのXlibに比べりゃ十分に高機能だろうが。

もしGTKかQTを使ってアプリ作ろうとしてるやつがいたら、
最新バージョンを選ばずにこのバージョンで作れよ!

2 :login:Penguin:03/10/12 20:13 ID:03t9CAcP
ひどいスレですねまったく

3 :login:Penguin:03/10/12 20:22 ID:e7HEQZCL
ひどいのは開発者の方だ。
俺はVine LinuxにGtk2を入れようとしたが、
apt-getじゃ自動で入れられなくて、手動でインストールしようとしたけど
依存関係が深すぎて結局入れられなかったさ。
通常のGUIならこのバージョンで十分ことたりるはずなんだよ。

4 :login:Penguin:03/10/12 20:24 ID:0PHvwrZ+
ぶっちゃけGTKとかQTとかいらねー

5 :login:Penguin:03/10/12 20:34 ID:9IxnV3cH
つまり自分の無能さを公表しているんですね

6 :login:Penguin:03/10/12 20:34 ID:oqgtT3+T
だからこそ、重要なソフトはtar.gzで落としてmakeすれ。
気が変わったら/usr/localの下を掃除してパッケージを入れなおし。

7 :login:Penguin:03/10/12 23:17 ID:64iQr6cn
今日を境に Xlib だけでコーディングするよ。

8 :login:Penguin:03/10/12 23:31 ID:1YctPxrd
>>1 Vineを捨てればいいじゃん。


というか、Vine知らんけど、seedにあるのはすんなり入らんの? 

9 :login:Penguin:03/10/12 23:40 ID:F78DloXt
>>1 >>3
誘導

Vine Linux Thread 其の15
http://pc.2ch.net/test/read.cgi/linux/1061746337/

10 : ◆1haVRB54HY :03/10/13 11:32 ID:2/Tbk8vJ
>>1
Motifでいいじゃん。


11 :login:Penguin:03/10/13 12:39 ID:aX/Kp0ox
>>8
srpmがすんなり入りますた。

12 :login:Penguin:03/10/13 12:40 ID:aX/Kp0ox
>>1
他人が2を使うのをどうこう言わなくて、自分が1.2を使えばいいでしょ。
欲しいアプリが2だったら、あきらめるか、バックポートすればいいでしょ。

13 :login:Penguin:03/10/13 16:06 ID:+jG2GDz0
>>1
SVGAでいいじゃん。

14 ::03/10/13 16:53 ID:Y2TizDoa
別にVineだけの話をしてるわけじゃない。
あまりWindowsとの比較はしたくないけど、たとえばWindows98でも最新のソフトは大部分が動く。
ところがLinuxで98年頃のディストリビューションを使おうと思ったらかなり無理があるだろう。
頻繁なバージョンアップは使用者を混乱させるだけだ。
GTKやQTでこれからプログラミングをやろうとしている人は、これらのバージョンを使えということ。

15 :login:Penguin:03/10/13 16:59 ID:2gxRC0RA
CUIマンセー

16 :login:Penguin:03/10/13 17:41 ID:RnlhlfjI
>>14
Winとの比較でいうと、開発環境としてのVisual Studio Xpは98では
動かないんじゃない?
いや、ライブラリのインターフェースの互換性を何とかしてくれ
というのは同意なんだけどね。
WinみたいにHogeExなんてマクロ(or関数)だらけになりそうだけど(w


17 :ビルJ:03/10/13 17:58 ID:cc5Pdhsb
cursesまんせー

18 :login:Penguin:03/10/13 18:00 ID:brzoGonH
>>14
そう言われても、Linuxはこれまで散々ソフトの質が問題にされてきて、
それらを改良しようとする為に「根本から設計しなおそう」と言う結論に
達したものもあるわけで、その結果がGTK2だったりもするわけで。
頻繁なアップグレードは確かに不便だけれど、アップグレードを止めるのではなく、
アップグレードしやすい環境を用意するべきだろうと思うのだが。
それから、件の話は単純にVineが悪い。Linuxの時勢に追いつかず、使用者に
混乱を引き起こさせてるのはVineの方だろう。Vineのようなマイナーディストリの為に
どうしてわざわざその他のLinuxの世界が合わせてあげないといけない? 
Vineユーザ以外は、何も困って無いじゃん。
Vineが、apt-getで入れられるGTK2を用意すれば済むことだよ。
Vineで不便なら、Vineを捨てて、他に移ればいいじゃん。

19 :login:Penguin:03/10/13 18:16 ID:3AiqMilX
>>14>>18
そもそも、gtk+-1.2とgtk+-2.xは共存できるし、Qt-2.xと
Qt-3.xも共存でき、実際RedHatでは両方のパッケージを
いれることができるようになっている。

共存できないならそれはVineのせいだから、とっととRedHat
に移行しろ。

20 :login:Penguin:03/10/13 18:24 ID:3AiqMilX
>>16
あまり知られていないしglibc以外では使われていないと思われるが、
LinuxではHogeExとかなしに、複数のバイナリインターフェイスを
単一のライブラリに入れることが可能になっている。

実は、glibc-2.0とglibc-2.1とglibc-2.2とglibc-2.3は全部バイナリ
互換性がないのだが、glibc-2.1にはglibc-2.0のインターフェイスが、
2.2には2.1と2.0のインターフェイス、2.3には2.2と2.1と2.0のインター
フェイスが組み込まれているので、glibc-2.3でもglibc-2.0や2.1や
2.2向けにコンパイルしたバイナリが動くようになっている。

21 :login:Penguin:03/10/13 21:02 ID:RnlhlfjI
>>20
> LinuxではHogeExとかなしに、複数のバイナリインターフェイスを
> 単一のライブラリに入れることが可能になっている。
このような機能は知らなかったです。sonameじゃないみたいですね。
http://kernel.us.themoes.org/pub/software/libs/glibc/hjl/compat/
の最初の方に書いてあったので納得しました。

22 :login:Penguin:03/10/14 00:30 ID:9Vikwds0
共存はできるがlibpng依存のリビルド考えると現実的じゃないな

23 :login:Penguin:03/10/15 04:25 ID:S31KWaeI
そういえば、QT vs GTKとか、Gnome vs KDEとかのスレがないね。
もう議論しつくされたのかな。

24 :login:Penguin:03/10/15 15:47 ID:mf2vYkMF
Quartzのように根本から直せばいい。
↓任せる。

25 :login:Penguin:03/10/15 17:55 ID:oemYQfol
↑断る

26 :login:Penguin:03/10/15 23:53 ID:CE1Tc4RL
ところで、GNUSTEP の DPS は完成したの?

27 :Winプログラマです。:03/10/17 06:51 ID:Mcuj1lah
>>16

Visual Studio Xp なんて どこにも売ってないぞ、初めて聞いた(W
現在の製品は、Visual Studio.NET2003だ。

MFCを利用したアプリケーションは98はおろか95対応のソフトだった開発できる。
.NETFrameWorkは98以降にインストールできるので、.NETアプリだって98で
動かせる。

うその情報は流してはいけないよ。

28 :login:Penguin:03/10/17 06:54 ID:+R/8VQcs
ギャハハハ!! Vine! 最高!

29 :login:Penguin:03/10/18 03:29 ID:MpPlDe1R
Qtって、2系と3系でバイナリの互換性があったんじゃなかったけ?

30 :login:Penguin:03/10/18 05:54 ID:ee8ZmQio
>>29
そんなもんねぇよ。
QT3.xのドキュメント読め!



31 :login:Penguin:03/10/18 07:57 ID:3tmwVs8V
ソースの互換性がある程度ある、というところですな。
C++ なライブラリにバイナリ互換性なんて期待できない...


32 :login:Penguin:03/12/20 10:10 ID:QWoKygpr
>23 KxGスレ
http://pc.2ch.net/test/read.cgi/linux/999963678/l50

33 :login:Penguin:04/01/08 00:59 ID:0LZMnt7L
コンパイラが変わっただけでバイナリ互換性ないしな、C++
そのためかlibstdc++はバージョンがやたらあるし。

8 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.00 2017/10/04 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)